## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.fabric.inc/llms.txt)

Use this file to discover all available pages before exploring further.

Get all webhook definitions

### cURL

```bash
curl --request GET \ 
  --url https://prod01.oms.fabric.inc/api/v2/webhook/ \ 
  --header 'Authorization: Bearer <token>' \ 
  --header 'x-site-context: <x-site-context>'
```

### Python

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/webhook/"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/webhook/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Sample Responses

- **200**

```json
[
  {
    "target": "http://www.test.com",
    "protocol": "HTTP",
    "source": "OMS",
    "events": "[ORDER_CREATED]",
    "webhookId": "<string>",
    "tenantId": "<string>",
    "targetApiKey": "adfasdWdsaQFSsdf",
    "apiVersion": "<string>",
    "format": "application/json",
    "callbackUrl": "<string>",
    "createdDate": "2023-11-07T05:31:56Z",
    "updatedDate": "2023-11-07T05:31:56Z"
  }
]
```

- **Error Responses**

```json
{
  "message": "No webhook definition present for the given webhook Id"
}
```

```json
{
  "message": "Internal Server Error"
}
```

### Authorizations

**Authorization**  
Type: `string`, required.  
Format: Bearer authentication header of the form `Bearer <token>`.

### Headers

#### x-site-context

- **Type**: `string`
- **Required**: Yes  
- Description: The `x-site-context` header is a JSON object that contains information about the source you wish to pull from.

### Query Parameters

- **offset**: integer, required.
- **limit**: integer, required.
- **eventType**: string.
- **apiVersion**: string.

### Response Structure

- **target**: string, required
- **protocol**: string, required
- **source**: string, required
- **events**: string[], required
- **requestType**: enum<string>, required
- **webhookId**: string
- **tenantId**: string
- **targetApiKey**: string
- **apiVersion**: string
- **format**: string
- **createdDate**: string<date-time>
- **updatedDate**: string<date-time>
